# Cabbages

various instruments and tools developed with [Cabbage framework](https://cabbageaudio.com/)

What's included:

- **WaggonBAU** - simple drum sampler - you select sample for each note in octave and then do the keyboard drumming
- **Rebeat** - simple guital-pedal-like looper. After first press of the button it starts recording, after second it starts playing in the loop and after last press it’s waiting for another recording.
- **Starter** - just big START button, which sends MIDI note ON when you click on it and turns itself into STOP button, which sends MIDI note OFF when you click on it. It’s designed to start and stop [Sequenc-Air](https://www.fullbucket.de/music/sequencair.html), which would otherwise took precious screen space when live performing.
- **Traveller** - a monophonic synth with a twist inspired by Korg Synthe-Bass.

![](traveller.png)

Other not useful or in development:

- **rychta** - drum sequencer
- **dentaku** - WIP Casio VL-1 clone
- **velfoix** - broken MIDI velocity tool
- **midilog** - MIDI logger (also semi-broken)