# ideas and overall vision

(in Czech only for now, sorry)

- věc musí být snadno pochopitelná, na první pohled musí být vidět, co to dělá
- všechno musí mít svou grafickou/textovou/zvukovou podobu
- skládání větších celků z menších částí

## konkrétní nápady

- chordial - formulář na jednoduché zadávání složitých akordů
- autoharfa - doplňuje akordy při živém hraní ([částečně implementováno](https://www.warmplace.ru/forum/viewtopic.php?f=11&t=4482&p=15727) & ještě někde jinde)
- podobný koncept je [chord organ](https://en.wikipedia.org/wiki/Chord_organ)
- [notovid](https://github.com/severak/notovid) - bere grafický zápis, plive MIDI noty
- drumsheet - drum machine z tabulky v excelu
- techno drum machine rychta
- Dentaku - synťák programovatelný podobně jako [Casio VL-1](https://www.youtube.com/watch?v=ENUeNejf_C0)
- klávesy hrající ZX tóny + odpovídající bicí
- harmonium se simulací měchu - pokud chce člověk hrát musí kvedlat knobem (který zároveň bude řídit frekvenci výdechů nástroje)
- busline - jednoduchá basová linka - demo https://www.youtube.com/watch?v=BVHJWTX_gIo
- synth building blocks - "Bricks" - jednotlivé bloky sunvoxu reimplementované jako VSTi pluginy (v Cabbage)


## digital nomad

(nástupce travelleru)

- two oscillators
- two envelopes for filter and volume
- at least one multimode filter with the filter types low pass, high pass and band pass
- at least one low-harmonic waveform variant, ideally sine

- https://u-he.com/products/tyrelln6/
- https://www.kvraudio.com/product/lokomotiv-by-archetype-instruments